Bug 790475 - headpin cli product list returns PGError: column environments.locker does not exist
headpin cli product list returns PGError: column environments.locker does not...
Status: CLOSED CURRENTRELEASE
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.0.0
Unspecified Unspecified
urgent Severity urgent
: rc
: 1.0
Assigned To: Bryan Kearney
SAM QE List
:
Depends On:
Blocks: 703617
  Show dependency treegraph
 
Reported: 2012-02-14 11:10 EST by Eric Sammons
Modified: 2012-04-26 20:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
katello-headpin-all-0.1.135-2.el6.noarch
Last Closed: 2012-04-26 20:20:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Eric Sammons 2012-02-14 11:10:31 EST
Description of problem:
When listing products by command line, headpin, PGError is returned.

<snip>
headpin> product list --org ACME_Corporation
PGError: ERROR:  column environments.locker does not exist
LINE 1: SELECT "environments".* FROM "environments" WHERE "environme...
                                                          ^
: SELECT "environments".* FROM "environments" WHERE "environments"."locker" = 't' AND "environments"."organization_id" = 1
</snip>

Reproducer:

headpin -u [user] -p [password] shell
headpin> product list --org ACME_Corporation

Expected Results:

In this case a error should be returned explaining that an environment option must be passed as ACME_Corporation has multiple environments.
Comment 5 Tom McKay 2012-02-27 09:28:20 EST
Fixed in HTB#6
katello-headpin-0.1.140-3 or later
Comment 6 Eric Sammons 2012-03-06 15:28:48 EST
[root@cubert ~]# headpin -u admin -p admin shell
headpin> client remember --option org --value manifestZ3iImD2gCTwNBtv
Successfully remembered option [ org ] 
headpin> product list
------------------------------------------------------------------------------------------------------------------------------------------------
                                  Product List For Organization manifestZ3iImD2gCTwNBtv, Environment 'Library'

 Id          Name                                                                     Provider Id   Provider Name   Sync Plan Name   GPG key  
------------------------------------------------------------------------------------------------------------------------------------------------
 69          Red Hat Enterprise Linux Server                                          4             Red Hat                                   
 RH0103708   Red Hat Enterprise Linux Server Premium 8 sockets Up to 4 guests         4             Red Hat                                   
 RH0197181   Red Hat Enterprise Linux Server Self-support 1-2 sockets Up to 1 guest   4             Red Hat                  

VERIFIED

katello-headpin-all-0.1.141-1.el6.noarch

Note You need to log in before you can comment on or make changes to this bug.